Module java.desktop
Package javax.swing

# Class JPasswordField.AccessibleJPasswordField

java.lang.Object
javax.accessibility.AccessibleContext
java.awt.Component.AccessibleAWTComponent
java.awt.Container.AccessibleAWTContainer
javax.swing.JComponent.AccessibleJComponent
javax.swing.text.JTextComponent.AccessibleJTextComponent
javax.swing.JTextField.AccessibleJTextField
javax.swing.JPasswordField.AccessibleJPasswordField

All Implemented Interfaces:
  `Serializable`, `EventListener`, `AccessibleAction`, `AccessibleComponent`, `AccessibleEditableText`, `AccessibleExtendedComponent`, `AccessibleExtendedText`, `AccessibleText`, `CaretListener`, `DocumentListener`

Enclosing class:
  `JPasswordField`

protected class JPasswordField.AccessibleJPasswordField extends JTextField.AccessibleJTextField
This class implements accessibility support for the `JPasswordField` class. It provides an implementation of the Java Accessibility API appropriate to password field user-interface elements.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Nested Class Summary

## Nested classes/interfaces declared in class javax.swing.JComponent.AccessibleJComponent

`JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

## Nested classes/interfaces declared in class java.awt.Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

## Field Summary

### Fields declared in class javax.swing.JComponent.AccessibleJComponent

`accessibleFocusHandler`

### Fields declared in class java.awt.Container.AccessibleAWTContainer

`accessibleContainerHandler`

### Fields declared in class java.awt.Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

### Fields declared in class javax.accessibility.AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

### Fields declared in interface javax.accessibility.AccessibleAction

`CLICK, DECREMENT, INCREMENT, TOGGLE_EXPAND, TOGGLE_POPUP`

### Fields declared in interface javax.accessibility.AccessibleExtendedText

`ATTRIBUTE_RUN, LINE`

### Fields declared in interface javax.accessibility.AccessibleText

`CHARACTER, SENTENCE, WORD`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AccessibleJPasswordField()`
Constructs an `AccessibleJPasswordField`.

## Method Summary

Modifier and Type
Method
Description
`AccessibleRole`
`getAccessibleRole()`
Gets the role of this object.
`AccessibleText`
`getAccessibleText()`
Gets the `AccessibleText` for the `JPasswordField`.
`String`
`getAfterIndex(int part, int index)`
Returns the `String` after a given `index`.
`String`
`getAtIndex(int part, int index)`
Returns the `String` at a given `index`.
`String`
`getBeforeIndex(int part, int index)`
Returns the `String` before a given `index`.
`String`
`getTextRange(int startIndex, int endIndex)`
Returns the text between two `indices`.
`AccessibleTextSequence`
`getTextSequenceAfter(int part, int index)`
Returns the `AccessibleTextSequence` after a given `index`.
`AccessibleTextSequence`
`getTextSequenceAt(int part, int index)`
Returns the `AccessibleTextSequence` at a given `index`.
`AccessibleTextSequence`
`getTextSequenceBefore(int part, int index)`
Returns the `AccessibleTextSequence` before a given `index`.

### Methods declared in class javax.swing.JTextField.AccessibleJTextField

`getAccessibleStateSet`

### Methods declared in class javax.swing.text.JTextComponent.AccessibleJTextComponent

`caretUpdate, changedUpdate, cut, delete, doAccessibleAction, getAccessibleActionCount, getAccessibleActionDescription, getAccessibleEditableText, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart, getTextBounds, insertTextAtIndex, insertUpdate, paste, removeUpdate, replaceText, selectText, setAttributes, setTextContents`

### Methods declared in class javax.swing.JComponent.AccessibleJComponent

`addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleDescription, getAccessibleKeyBinding, getAccessibleName, getBorderTitle, getTitledBorderText, getToolTipText, removePropertyChangeListener`

### Methods declared in class java.awt.Container.AccessibleAWTContainer

`getAccessibleAt`

### Methods declared in class java.awt.Component.AccessibleAWTComponent

`addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Methods declared in class javax.accessibility.AccessibleContext

`firePropertyChange, getAccessibleAction, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.accessibility.AccessibleComponent

`addFocusListener, contains, getAccessibleAt, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

## Constructor Details

### AccessibleJPasswordField

protected AccessibleJPasswordField()
Constructs an `AccessibleJPasswordField`.

## Method Details

### getAccessibleRole

public AccessibleRole getAccessibleRole()
Gets the role of this object.

Overrides:
  `getAccessibleRole` in class `JTextComponent.AccessibleJTextComponent`
Returns:
  an instance of AccessibleRole describing the role of the object (AccessibleRole.PASSWORD_TEXT)
See Also:
  - `AccessibleRole`

### getAccessibleText

public AccessibleText getAccessibleText()
Gets the `AccessibleText` for the `JPasswordField`. The returned object also implements the `AccessibleExtendedText` interface.

Overrides:
  `getAccessibleText` in class `JTextComponent.AccessibleJTextComponent`
Returns:
  `AccessibleText` for the JPasswordField
Since:
  1.6
See Also:
  - `AccessibleContext`
  - `AccessibleContext.getAccessibleText()`
  - `AccessibleText`
  - `AccessibleExtendedText`

### getAtIndex

public String getAtIndex(int part, int index)
Returns the `String` at a given `index`.

Specified by:
  `getAtIndex` in interface `AccessibleText`
Overrides:
  `getAtIndex` in class `JTextComponent.AccessibleJTextComponent`
Parameters:
  `part` - the `CHARACTER`, `WORD` or `SENTENCE` to retrieve
  `index` - an index within the text
Returns:
  a `String` if `part` and `index` are valid. Otherwise, `null` is returned
Since:
  1.6
See Also:
  - `AccessibleText.CHARACTER`
  - `AccessibleText.WORD`
  - `AccessibleText.SENTENCE`

### getAfterIndex

public String getAfterIndex(int part, int index)
Returns the `String` after a given `index`.

Specified by:
  `getAfterIndex` in interface `AccessibleText`
Overrides:
  `getAfterIndex` in class `JTextComponent.AccessibleJTextComponent`
Parameters:
  `part` - the `CHARACTER`, `WORD` or `SENTENCE` to retrieve
  `index` - an index within the text
Returns:
  a `String` if `part` and `index` are valid. Otherwise, `null` is returned
Since:
  1.6
See Also:
  - `AccessibleText.CHARACTER`
  - `AccessibleText.WORD`
  - `AccessibleText.SENTENCE`

### getBeforeIndex

public String getBeforeIndex(int part, int index)
Returns the `String` before a given `index`.

Specified by:
  `getBeforeIndex` in interface `AccessibleText`
Overrides:
  `getBeforeIndex` in class `JTextComponent.AccessibleJTextComponent`
Parameters:
  `part` - the `CHARACTER`, `WORD` or `SENTENCE` to retrieve
  `index` - an index within the text
Returns:
  a `String` if `part` and `index` are valid. Otherwise, `null` is returned
Since:
  1.6
See Also:
  - `AccessibleText.CHARACTER`
  - `AccessibleText.WORD`
  - `AccessibleText.SENTENCE`

### getTextRange

public String getTextRange(int startIndex, int endIndex)
Returns the text between two `indices`.

Specified by:
  `getTextRange` in interface `AccessibleEditableText`
Specified by:
  `getTextRange` in interface `AccessibleExtendedText`
Overrides:
  `getTextRange` in class `JTextComponent.AccessibleJTextComponent`
Parameters:
  `startIndex` - the start index in the text
  `endIndex` - the end index in the text
Returns:
  the text string if the indices are valid. Otherwise, `null` is returned
Since:
  1.6

### getTextSequenceAt

public AccessibleTextSequence getTextSequenceAt(int part, int index)
Returns the `AccessibleTextSequence` at a given `index`.

Specified by:
  `getTextSequenceAt` in interface `AccessibleExtendedText`
Overrides:
  `getTextSequenceAt` in class `JTextComponent.AccessibleJTextComponent`
Parameters:
  `part` - the `CHARACTER`, `WORD`, `SENTENCE`, `LINE` or `ATTRIBUTE_RUN` to retrieve
  `index` - an index within the text
Returns:
  an `AccessibleTextSequence` specifying the text if `part` and `index` are valid. Otherwise, `null` is returned
Since:
  1.6
See Also:
  - `AccessibleText.CHARACTER`
  - `AccessibleText.WORD`
  - `AccessibleText.SENTENCE`
  - `AccessibleExtendedText.LINE`
  - `AccessibleExtendedText.ATTRIBUTE_RUN`

### getTextSequenceAfter

public AccessibleTextSequence getTextSequenceAfter(int part, int index)
Returns the `AccessibleTextSequence` after a given `index`.

Specified by:
  `getTextSequenceAfter` in interface `AccessibleExtendedText`
Overrides:
  `getTextSequenceAfter` in class `JTextComponent.AccessibleJTextComponent`
Parameters:
  `part` - the `CHARACTER`, `WORD`, `SENTENCE`, `LINE` or `ATTRIBUTE_RUN` to retrieve
  `index` - an index within the text
Returns:
  an `AccessibleTextSequence` specifying the text if `part` and `index` are valid. Otherwise, `null` is returned
Since:
  1.6
See Also:
  - `AccessibleText.CHARACTER`
  - `AccessibleText.WORD`
  - `AccessibleText.SENTENCE`
  - `AccessibleExtendedText.LINE`
  - `AccessibleExtendedText.ATTRIBUTE_RUN`

### getTextSequenceBefore

public AccessibleTextSequence getTextSequenceBefore(int part, int index)
Returns the `AccessibleTextSequence` before a given `index`.

Specified by:
  `getTextSequenceBefore` in interface `AccessibleExtendedText`
Overrides:
  `getTextSequenceBefore` in class `JTextComponent.AccessibleJTextComponent`
Parameters:
  `part` - the `CHARACTER`, `WORD`, `SENTENCE`, `LINE` or `ATTRIBUTE_RUN` to retrieve
  `index` - an index within the text
Returns:
  an `AccessibleTextSequence` specifying the text if `part` and `index` are valid. Otherwise, `null` is returned
Since:
  1.6
See Also:
  - `AccessibleText.CHARACTER`
  - `AccessibleText.WORD`
  - `AccessibleText.SENTENCE`
  - `AccessibleExtendedText.LINE`
  - `AccessibleExtendedText.ATTRIBUTE_RUN`